summaryrefslogtreecommitdiff
path: root/scripts/git/git-setup-dirs.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/git/git-setup-dirs.sh')
-rwxr-xr-xscripts/git/git-setup-dirs.sh48
1 files changed, 3 insertions, 45 deletions
diff --git a/scripts/git/git-setup-dirs.sh b/scripts/git/git-setup-dirs.sh
index 20a148204a..1f61eb8b83 100755
--- a/scripts/git/git-setup-dirs.sh
+++ b/scripts/git/git-setup-dirs.sh
@@ -90,41 +90,15 @@ GITHUB_PUSH=${TOR_GITHUB_PUSH:-"No_Pushing_To_GitHub"}
# The branches and worktrees need to be modified when there is a new branch,
# and when an old branch is no longer supported.
-# Configuration of the branches that needs merging. The values are in order:
-# (0) current maint/release branch name
-# (1) Full path of the git worktree
-#
-# First set of arrays are the maint-* branch and then the release-* branch.
-# New arrays need to be in the WORKTREE= array else they aren't considered.
-MAINT_035=( "maint-0.3.5" "$GIT_PATH/$TOR_WKT_NAME/maint-0.3.5" )
-MAINT_040=( "maint-0.4.0" "$GIT_PATH/$TOR_WKT_NAME/maint-0.4.0" )
-MAINT_041=( "maint-0.4.1" "$GIT_PATH/$TOR_WKT_NAME/maint-0.4.1" )
-MAINT_042=( "maint-0.4.2" "$GIT_PATH/$TOR_WKT_NAME/maint-0.4.2" )
-MAINT_MASTER=( "master" "$GIT_PATH/$TOR_MASTER_NAME" )
-
-RELEASE_035=( "release-0.3.5" "$GIT_PATH/$TOR_WKT_NAME/release-0.3.5" )
-RELEASE_040=( "release-0.4.0" "$GIT_PATH/$TOR_WKT_NAME/release-0.4.0" )
-RELEASE_041=( "release-0.4.1" "$GIT_PATH/$TOR_WKT_NAME/release-0.4.1" )
-RELEASE_042=( "release-0.4.2" "$GIT_PATH/$TOR_WKT_NAME/release-0.4.2" )
+set -e
+eval "$(git-list-tor-branches.sh -b)"
+set +e
# The master branch path has to be the main repository thus contains the
# origin that will be used to fetch the updates. All the worktrees are created
# from that repository.
ORIGIN_PATH="$GIT_PATH/$TOR_MASTER_NAME"
-# SC2034 -- shellcheck thinks that these are unused. We know better.
-ACTUALLY_THESE_ARE_USED=<<EOF
-${MAINT_035[0]}
-${MAINT_040[0]}
-${MAINT_041[0]}
-${MAINT_042[0]}
-${MAINT_MASTER[0]}
-${RELEASE_035[0]}
-${RELEASE_040[0]}
-${RELEASE_041[0]}
-${RELEASE_042[0]}
-EOF
-
#######################
# Argument processing #
#######################
@@ -161,22 +135,6 @@ done
# Git worktrees to manage #
###########################
-WORKTREE=(
- MAINT_035[@]
- RELEASE_035[@]
-
- MAINT_040[@]
- RELEASE_040[@]
-
- MAINT_041[@]
- RELEASE_041[@]
-
- MAINT_042[@]
- RELEASE_042[@]
-
- MAINT_MASTER[@]
-)
-
COUNT=${#WORKTREE[@]}
#############